aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/tools
diff options
context:
space:
mode:
authorVeerabrahmam vr <veerabrahmam.vr@huawei.com>2012-09-06 06:29:16 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-09-10 12:04:09 +0100
commit357478b624b27fdfce25b6064b0f64717db75fa6 (patch)
treeb723c1c28c597016fc12af1253b00edad4c5c6b5 /scripts/qemuimage-tests/tools
parent7037f52909b8226d2afed4ac73c902d410afc112 (diff)
downloadopenembedded-core-contrib-357478b624b27fdfce25b6064b0f64717db75fa6.tar.gz
qemuimagetest: basic function to check bash exists
one test case to check bash command availability on qemu target. Signed-off-by: veerabrahmam <veerabrahmamvr@huawei.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'scripts/qemuimage-tests/tools')
-rw-r--r--scripts/qemuimage-tests/tools/bash.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/tools/bash.sh b/scripts/qemuimage-tests/tools/bash.sh
new file mode 100644
index 0000000000..f6958f0e7e
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/bash.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# bash test script running in qemu
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+which bash
+if [ $? -eq 0 ]; then
+ echo "QEMU: bash is exist in the target by default"
+ exit 0
+else
+ echo "QEMU: No bash command in the qemu target"
+ exit 1
+fi